com.verisign.epp.codec.org

## Class EPPOrgInfoCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPInfoCmd
    - - com.verisign.epp.codec.org.EPPOrgInfoCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPOrgInfoCmd
      extends EPPInfoCmd

  Command used to retrieve information associated with an org object.
  See Also:
    `EPPOrgInfoResp`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPOrgInfoCmd`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPOrgInfoCmd`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPOrgInfoCmd()` `EPPOrgInfoCmd` default constructor.
    `EPPOrgInfoCmd(java.lang.String aTransId)` `EPPOrgInfoCmd` constructor that only takes the client transaction identifier
    `EPPOrgInfoCmd(java.lang.String aTransId, java.lang.String aOrgId)` `EPPOrgInfoCmd` constructor that takes the transaction identifier and the org identifier.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPOrgInfoCmd`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPOrgInfoCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPOrgInfoCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPOrgInfoCmd` with this instance.
    `java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPOrgInfoCmd`.
    `java.lang.String` | `getOrgId()` Gets the org identifier.
    `void` | `setOrgId(java.lang.String aOrgId)` Sets the org identifier.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPInfoCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPOrgInfoCmd`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPOrgInfoCmd`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPOrgInfoCmd

          public EPPOrgInfoCmd()

      `EPPOrgInfoCmd` default constructor.

    - #### EPPOrgInfoCmd

          public EPPOrgInfoCmd(java.lang.String aTransId)

      `EPPOrgInfoCmd` constructor that only takes the client transaction identifier
      Parameters:
        `aTransId` - Transaction Id associated with command.

    - #### EPPOrgInfoCmd

          public EPPOrgInfoCmd(java.lang.String aTransId,
                               java.lang.String aOrgId)

      `EPPOrgInfoCmd` constructor that takes the transaction identifier and the org identifier.
      Parameters:
        `aTransId` - Transaction Id associated with command. Set to `null` if a client transaction identifier is not desired.
        `aOrgId` - Org identifier

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPOrgInfoCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPOrgMapFactory.NS`

    - #### getOrgId

          public java.lang.String getOrgId()

      Gets the org identifier.
      Returns:
        The org identifier if defined;`null` otherwise.

    - #### setOrgId

          public void setOrgId(java.lang.String aOrgId)

      Sets the org identifier.
      Parameters:
        `aOrgId` - The org identifier

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPOrgInfoCmd` instance.
      Specified by:
        `doEncode` in class `EPPInfoCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPOrgInfoCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPOrgInfoCmd` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPOrgInfoCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPInfoCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPOrgInfoCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPOrgInfoCmd` with this instance.
      Overrides:
        `equals` in class `EPPInfoCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPOrgInfoCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        Deep copy clone of `EPPOrgInfoCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

Copyright © VeriSign Inc. All Rights Reserved.